Package twisted :: Package words :: Module botbot :: Class BotBot

[frames | no frames]

## Class BotBot

    WordsClient --+
                  |
                 BotBot

Method Summary
| `bot_blowup(self, sender, message, metadata)`
| `bot_list(self, sender, message, metadata)`
| `bot_new(self, sender, message, metadata)`
| `bot_rebuild(self, sender, message, metadata)`
| `bot_tlist(self, sender, message, metadata)`
| `loadBotList(self)`
| `receiveDirectMessage(self, senderName, messageText, metadata)`
| `setupBot(self, voice)`
Inherited from WordsClient
| ``memberJoined`(self, member, group)`
| ``memberLeft`(self, member, group)`
| ``notifyStatusChanged`(self, name, status)`
| ``receiveContactList`(self, contactList)`
| ``receiveGroupMembers`(self, names, group)`
| ``receiveGroupMessage`(self, sender, group, message, metadata)`
| ``setGroupMetadata`(self, metadata, name)`

Generated by Epydoc 2.0 on Sat May 15 20:08:18 2004 | http://epydoc.sf.net